Subject: Re: [RFC PATCH] powerpc/kexec: Wait 1s for secondaries to enter OPAL

From: Samuel Mendoza-Jonas <[email-masked]>
Date: Tue, 28 Jul 2015 16:13:29 +1000

On 27/07/15 15:56, Stewart Smith wrote:
> Samuel Mendoza-Jonas <[email-masked]> writes:
>> Always include a timeout when waiting for secondary cpus to enter OPAL
>> in the kexec path, rather than only when crashing.
> 
> This *sounds* reasonable... but I wonder what actual worse case could
> be and why we'd get stuck too long waiting for things?
> 
> What was the original bug/problem that inspired this patch?
> 
> and is 1s enough?

"It sounds reasonable" was more or less the inspiration :)
While I was going over some of the code relating to the previous kexec
fix with Ben he pointed this out and suggested there wasn't
much of a reason to differentiate between a crashing/non-crashing
cpu as far as the timeout goes - if we're not 'crashing' we still
don't want to spin forever.

I'll let Ben comment on whether 1s per cpu is enough.

> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev
> 

-- 
-----------
LTC Ozlabs
IBM